package com.jscape.inet.protocol;

import com.jscape.util.event.AbstractEvent;
import com.jscape.util.event.EventContext;
import com.jscape.util.event.EventHandler;

/**
 * @author Alex Usun
 */
public class CloseSessionsEvent
        extends AbstractEvent {

    public CloseSessionsEvent(EventContext context) {
        super(context);
    }

    public void fire() {
        iterateHandlers();
    }

    protected void accept(EventHandler handler) {
        ((Handler) handler).handle(this);
    }

    public interface Handler
            extends EventHandler {

        void handle(CloseSessionsEvent event);

    }
}
